%define perl_archlib %(eval "`perl -V:archlib`";  echo $archlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary:	Multi-protocol instant messaging and chat client
Summary(pl):	Wieloprotokołowy komunikator internetowy
Name:		ekg2
Version:	0.1.1
Release:	4%{?dist}.1
License:	GPLv2
Group:		Applications/Internet
Source0:	http://pl.ekg2.org/%{name}-%{version}.tar.gz
Patch1:		%{name}-rpm.patch
Patch2:		%{name}-gcc43.patch
URL:		http://www.ekg2.org/
BuildRequires:	aspell-devel
BuildRequires:	automake17
BuildRequires:	docbook-style-xsl
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	gnutls-devel
BuildRequires:	gpgme-devel
BuildRequires:	gpm-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgadu-devel
BuildRequires:	gsm-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libxslt
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	perl(ExtUtils::Embed)
BuildRequires:	python-devel
BuildRequires:	sqlite-devel
BuildRequires:	xosd-devel
BuildConflicts: readline-devel
Requires:	%{name}-core = %{version}-%{release}
Requires:	%{name}-gadu-gadu = %{version}-%{release}
Requires:	%{name}-gpg = %{version}-%{release}
Requires:	%{name}-jabber = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)

%description
Multi-protocol instant messaging and chat client with many plugins.
This is a meta package that installs ekg2 with popular plugins.

%description -l pl
Wieloprotokołowy, otwarty komunikator internetowy z wieloma wtyczkami.
To jest meta-pakiet instalujący ekg2 z popularnymi wtyczkami.

%package core
Group:		Applications/Internet
Summary:	Multi-protocol instant messaging and chat client
Summary(pl):	Wieloprotokołowy komunikator internetowy

%description core
Multi-protocol instant messaging and chat client with many plugins.

%description core -l pl
Wieloprotokołowy, otwarty komunikator internetowy z wieloma wtyczkami.

%package devel
Summary:	Development headers for ekg2
Summary(pl):	Pliki nagłówkowe dla ekg2
Group:		Development/Libraries
Requires:	%{name}-core = %{version}-%{release}

%description devel
Development headers for ekg2.

%description devel -l pl
Pliki nagłówkowe dla ekg2.

%package gadu-gadu
Summary:	Gadu-gadu protocol plugin for ekg2
Summary(pl):	Wtyczka protokołu Gadu-gadu dla ekg2
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}

%description gadu-gadu
Gadu-gadu protocol plugin for ekg2.

%description gadu-gadu -l pl
Wtyczka protokołu gadu-gadu dla ekg2.

%package jabber
Summary:	Jabber protocol plugin for ekg2
Summary(pl):	Wtyczka protokołu Jabber dla ekg2
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}

%description jabber
Jabber protocol plugin for ekg2.

%description jabber -l pl
Wtyczka protokołu Jabber dla ekg2.

%package gpg
Summary:	GPG plugin for ekg2
Summary(pl):	Wtyczka GPG dla ekg2
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}

%description gpg
GPG plugin for ekg2.

%description gpg -l pl
Wtyczka GPG dla ekg2.

%package gtk2
Summary:	GTK2 UI plugin for ekg2
Summary(pl):	Wtyczka GTK2 UI dla ekg2
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}

%description gtk2
GTK2 UI plugin for ekg2.

%description gtk2 -l pl
Wtyczka GTK2 UI dla ekg2.

%package ioctld
Summary:	Keyboard LED control plugin for ekg2
Summary(pl):	Wtyczka do obsługi diod LED na klawiaturze dla ekg2
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}

%description ioctld
Keyboard LED control plugin for ekg2.

%description ioctld -l pl
Wtyczka do obsługi diod LED na klawiaturze dla ekg2.

%package logsqlite
Summary:	SQLite log plugin for ekg2
Summary(pl):	Wtyczka logowania do SQLite dla ekg2
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}

%description logsqlite
SQLite log plugin for ekg2.

%description logsqlite -l pl
Wtyczka logowania do bazy SQLite dla ekg2.

%package python
Summary:	Python scripting plugin for ekg2
Summary(pl):	Wtyczka języka Python dla ekg2
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}

%description python
Python scripting plugin for ekg2.

%description python -l pl
Wtyczka skryptów Pythona dla ekg2.

%package voip
Summary:	GSM VoIP protocol plugin for ekg2
Summary(pl):	Wtyczka protokołu GSM VoIP dla ekg2
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}

%description voip
GSM VoIP protocol plugin for ekg2.

%description voip -l pl
Wtyczka protokołu GSM VoIP dla ekg2.

%package xosd
Summary:	XOSD plugin for ekg2
Summary(pl):	Wtyczka XOSD dla ekg2
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}

%description xosd
XOSD plugin for ekg2.

%description xosd -l pl
Wtyczka XOSD dla ekg2.

%package -n perl-%{name}
Summary:	Perl scripting plugin for ekg2
Summary(pl):	Wtyczka języka Perl dla ekg2
Group:		Applications/Internet
Requires:	%{name}-core = %{version}-%{release}
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description -n perl-%{name}
Perl scripting plugin for ekg2.

%description -n perl-%{name} -l pl
Wtyczka skryptów Perla dla ekg2.

%prep
%setup -q
%patch1 -p1 -b .r
%patch2 -p1 -b .gcc43
cp -p README README-main
# convert docs to UTF-8
for file in \
	AUTHORS COPYING NEWS* README-main \
	docs/README docs/TODO \
	docs/events.txt docs/mouse.txt docs/sim.txt docs/themes.txt \
; do
iconv -f iso8859-2 -t utf8 -o $file.utf $file && mv $file.utf $file
done

%build
%configure \
	--disable-static \
	--enable-shared \
	--disable-rpath \
	--enable-unicode \
	--with-libgadu \
	--with-libgsm \
	--with-python \

make %{?_smp_mflags}

pushd docs/ekg2book
make
popd
pushd docs/ekg2book-en
make
popd

%install
rm -rf $RPM_BUILD_ROOT

make install \
	DESTDIR=$RPM_BUILD_ROOT

# for strip to work
find $RPM_BUILD_ROOT -name "*.so" | xargs chmod 755

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}
mv $RPM_BUILD_ROOT%{_libexecdir}/ioctld $RPM_BUILD_ROOT%{_libexecdir}/%{name}/

cp -pr docs/ekg2book-en/book docs/ekg2book-en/book-en

rm $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
find $RPM_BUILD_ROOT%{perl_vendorarch} -name .packlist -o -name "*.bs" | xargs %{__rm}

rm $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files

%files core -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS* README-main docs/README
%doc docs/events.txt docs/mouse.txt docs/sim.txt docs/themes.txt
%doc docs/ekg2book/book docs/ekg2book-en/book-en
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/autoresponder.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/httprc_xajax.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/irc.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/logs.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/mail.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/ncurses.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/pcm.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/rc.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/rot13.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/sim.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/sms.so
%attr(755,root,root) %{_libdir}/%{name}/plugins/xmsg.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/plugins/autoresponder
%{_datadir}/%{name}/plugins/httprc_xajax
%{_datadir}/%{name}/plugins/irc
%{_datadir}/%{name}/plugins/logs
%{_datadir}/%{name}/plugins/mail
%{_datadir}/%{name}/plugins/ncurses
%{_datadir}/%{name}/plugins/rc
%{_datadir}/%{name}/plugins/sim
%{_datadir}/%{name}/plugins/sms
%{_datadir}/%{name}/plugins/xmsg
%{_datadir}/%{name}/themes

%files devel
%defattr(644,root,root,755)
%doc docs/TODO
%attr(755,root,root) %{_bindir}/%{name}-config
%{_includedir}/%{name}

%files gadu-gadu
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/gg.so
%{_datadir}/%{name}/plugins/gg

%files gtk2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/gtk.so

%files gpg
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/gpg.so

%files jabber
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/jabber.so
%{_datadir}/%{name}/plugins/jabber

%files ioctld
%attr(755,root,root) %{_libexecdir}/%{name}/ioctld
%attr(755,root,root) %{_libdir}/%{name}/plugins/ioctld.so
%{_datadir}/%{name}/plugins/ioctld

%files logsqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/logsqlite.so
%{_datadir}/%{name}/plugins/logsqlite

%files python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/python.so
%attr(755,root,root) %{_datadir}/%{name}/scripts/*.py*

%files voip
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/gsm.so

%files xosd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/xosd.so
%{_datadir}/%{name}/plugins/xosd

%files -n perl-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/perl.so
%attr(755,root,root) %{_datadir}/%{name}/scripts/*.pl
%dir %{perl_vendorarch}/Ekg2
%{perl_vendorarch}/Ekg2.pm
%{perl_vendorarch}/Ekg2/Irc.pm
%dir %{perl_vendorarch}/auto/Ekg2
%attr(755,root,root) %{perl_vendorarch}/auto/Ekg2/Ekg2.so
%dir %{perl_vendorarch}/auto/Ekg2/Irc
%attr(755,root,root) %{perl_vendorarch}/auto/Ekg2/Irc/Irc.so

%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.1.1-4
Rebuild for new perl

* Thu Feb 14 2008 Dominik Mierzejewski <rpm@greysector.net> 0.1.1-3
- fix build with gcc-4.3

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 0.1.1-2
 - Rebuild for deps

* Wed Oct 24 2007 Dominik Mierzejewski <rpm@greysector.net> 0.1.1-1
- updated to 0.1.1 (really fixes bug 278181)
- move docs charset conversion and copying around to prep

* Sun Sep 16 2007 Dominik Mierzejewski <rpm@greysector.net> 0.1-2
- filter bad Provides: (fixes bug 278181)

* Tue Aug 28 2007 Dominik Mierzejewski <rpm@greysector.net> 0.1-1
- switch to released version
- update license tag
- fix BRs

* Fri May 18 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.7.20070427
- use versioned dependencies for the main package
- fix missing interpreter line in perl scripts

* Sat Apr 22 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.6.20070427
- latest available snapshot + diff to current CVS
- add unowned directory to file list
- libgsm support can be now enabled

* Mon Feb 05 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.5.20070203
- renamed python subpackage back, it's only a plugin

* Sun Feb 04 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.4.20070203
- renamed perl and python bindings packages
- added gpgme-devel BR
- added BuildConflicts: readline-devel
- removed redundant BRs
- built HTML docs
- built ncurses plugin with -fno-strict-aliasing to avoid infinite loop
  in unicode build

* Sun Feb 04 2007 Dominik Mierzejewski <rpm@greysector.net> 0-0.3.20070203
- 20070203 snapshot
- reorganized package layout
- moved ioctld to libexec/ekg2 to avoid conflict with ekg

* Mon Nov 20 2006 Dominik Mierzejewski <rpm@greysector.net> 0-0.2.20061119
- 20061119 snapshot

* Tue Sep 12 2006 Dominik Mierzejewski <rpm@greysector.net> 0-0.1.20060912
- 20060912 snapshot
- removed old cruft
- simplified subpackage names
- updated file lists
- added -devel package
- FE compliance
- disabled unicode support (doesn't work)
- simplified autotools and configure invocations
- added manpages
- converted docs to UTF-8

* Tue Oct 25 2005 Dominik Mierzejewski <rpm@greysector.net>
- fixed clean build on FC3-4

* Sun Oct 02 2005 Dominik Mierzejewski <rpm@greysector.net>
- 20051001 snapshot
- updated buildrequires for FC4
- perl scripting subpackage

* Sat May 28 2005 Dominik Mierzejewski <rpm@greysector.net>
- adapted PLD spec
- updated pl.po patch
- removed gcc4 patch
